# (c) cavaliba.com



# ---------------------------------------- 
# Sirene - enumerate
# ---------------------------------------- 


- classname: _enumerate
  keyname: sirene_category
  is_enabled: True
  _action: init
  displayname: "Sirene Category"
  description: "Sirene Message Category"
  content: |
    - value: "Incident"
    - value: "Maintenance"
    - value: "Information"
    - value: "Security"
    - value: "Test"
    - value: "Crisis"
    - value: "Other"
    - value: "N/A"


- classname: _enumerate
  keyname: sirene_severity
  is_enabled: True
  _action: init
  displayname: "Sirene Severity"
  description: "Sirene Message Severity"
  content: |
    - value: OK
      widget: green_circle
      bgcolor: success
      fgcolor: text-white
    - value: Information
      widget: blue_circle
      bgcolor: info
      fgcolor: text-dark
    - value: Minor
      widget: yellow_circle
      bgcolor: warning
      fgcolor: dark
    - value: Major
      widget: red_circle
      bgcolor: danger
      fgcolor: text-white
    - value: Critical
      widget: black_circle
      bgcolor: dark
      fgcolor: text-white
    - value: Other
      widget: brown_circle
      bgcolor: light
      fgcolor: text-dark
    - value: N/A
      widget: white_circle
      bgcolor: light
      fgcolor: text-dark


# ---------------------------------------
# Status Monitor
# ---------------------------------------
- classname: _enumerate
  keyname: status_monitor_type
  is_enabled: True
  _action: init
  displayname: "Status Monitor Types"
  description: "Status Monitor Types"
  content: |
    - value: "HTTP"
    - value: "TCP"
    - value: "PING"



# ---------------------------------------
# IPAM
# ---------------------------------------

- classname: _enumerate
  keyname: ipam_vlan_family
  is_enabled: True
  displayname: IPAM VLAN Family
  description: IAPM VLAN Family enumerate
  content: |
    - value: "N/A"
    - value: "Unknown"
    - value: "Other"

# ---------------------------------------
# ---------------------------------------



# ---------------------------------------
# ---------------------------------------
